=== miniOrange's Google Authenticator - WordPress Two Factor Authentication - 2FA , Two Factor, OTP SMS and Email | Passwordless login ===

== Archived Changelog Entries ==

This file contains older changelog entries, so we can keep the size of the standard WordPress readme.txt file reasonable.
For the latest changes, please refer to the "Changelog" section in the [readme.txt file](https://plugins.svn.wordpress.org/miniorange-2-factor-authentication/trunk/readme.txt).

= 5.6.0 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Added new feature - the grace period for users
* Updated setup wizard UI - Included user-based settings in the wizard
* Added dashboard to check 2fa status of users
* Login report of users available even when Network Security is disabled
* Handled backup codes flow when sitestats is unreachable
* Added access control and nonce checks in some flows - Malware scan, plugin enable/disable
* Fixed warning issues - fetching location details using geoplugin API

= 5.5.82 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* OTP over SMS bug fix in setup wizard
* Updated Trial Request form

= 5.5.81 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Introduced new BASIC plan
* Added link to all guides for 2fa on login forms and SMTP setup
* Fixed compatibility issue of radio buttons in feedback prompt

= 5.5.80 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Improved Feedback Prompt
* 2fa enabled by default for all the user roles

= 5.5.79 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Code Improvements

= 5.5.78 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes and Code Improvements

= 5.5.77 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes and Code Improvements

= 5.5.76 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes and Code Improvements

= 5.5.75 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes and Code Improvements

= 5.5.7 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes and Code Improvements

= 5.5.6 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug Fixes

= 5.5.5 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Compatibility with WordPress v6.0
* Added SMS transactions link

= 5.5.4 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Minor Bug fix

= 5.5.3 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* UI fixes for non-admin users

= 5.5.2 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Updated Plugin UI

= 5.5.1 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Updated Pricing page UI

= 5.5 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Updated Network Security UI

= 5.4.52 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Updated Trial Request Form

= 5.4.51 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Trial notification visibility issue fixed

= 5.4.50 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Bug fix - Headers already sent

= 5.4.49 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Trial Notification for Premium Plugins
* CSRF Fix

= 5.4.48 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Close button on offer banner

= 5.4.47 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Christmas offer

= 5.4.46 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Black friday offer
* Get email notification on the plugin's new release

= 5.4.45 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Added login with the any configured methods
* Minor bug fix

= 5.4.44 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Added link to WordPress forum in support form
* Minor bug fix

= 5.4.43 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Special offer - Special discount for limited time

= 5.4.42 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Backup Code as a cloud service

= 5.4.41 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Minor UI Changes and Bug Fixes

= 5.4.40 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* XSS Vulnerability fix
* Added video link for miniOrange Authenticator

= 5.4.39 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Added 2FA setup using user profile option
* Support Form UI
* 2FA Form support for login with ajax, Elementor Pro, UserPro login forms
* Minor bug fixes

= 5.4.38 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Added 2FA setup using user profile option
* Setup Wizard for configuring 2FA
* 2FA Form support for login with ajax, Elementor Pro, UserPro login forms
* Minor bug fixes

= 5.4.37 =
* Google Authenticator - Two factor Authentication (2FA, OTP) :
* Minor bug fixes

= 5.4.36 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Remove extra comma

= 5.4.35 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Minor bug fixes

= 5.4.34 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* New User Interface for easy setup
* Added developers logs
* Minor fixes

= 5.4.33 =
* Google Authenticator – Two Factor Authentication (2FA, TFA) :
* New pricing page for two factor authentication
* Added Duo Authenticator push notification method.
* WooCommerce redirect issue fix.

= 5.4.32 =
* Google Authenticator – Two Factor Authentication (2FA, TFA) :
* Replaced sessions with transient.

= 5.4.31 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* OTP over Email as two factor fix
* Low Email transaction alert fix

= 5.4.30 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Feedback changes

= 5.4.29 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Session independent Google Authenticator
* Session independent KBA
* Feedback improvement for two factor authentication plugin

= 5.4.28 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* New year sale update

= 5.4.27 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* New year sale
* WordPress 5.6 compatibility fix
* WAF fixes
* Real time IP blocking
* IP based user login
* New feature release notification

= 5.4.26 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Christmas Offer

= 5.4.25 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* OTP over Telegram Fixes

= 5.4.24 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* OTP over Whatsapp
* OTP over Telegram
* Feedback form changes

= 5.4.23 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Call support with technical team 
* Email and SMS transaction sync 
* Feedback form on network deactivate
* Enable/Disable 2FA fix
* 2FA added for super admin role

= 5.4.22 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Backup Codes 
* Sanitization and JS improvements 
* SMS and Email Sync 
* Whatsapp based Two factor in Premium plugin
* Telegram based Two factor in Premium plugin

= 5.4.21 =
* Google Authenticator - Two Factor Authentication (2FA, SMS) :
* Sanitization of some input values.

= 5.4.20 =
* Google Authenticator - Two Factor Authentication (2FA, SMS) : 
* Google Authenticator Qr code fix.
* My theme login Login fix.

= 5.4.19 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) : Google Authenticator cloud fix.

= 5.4.18 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
* Added missing file

= 5.4.17 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) :
	*Digimember Form Support
	*Memberpress Form Support
	*SMS Verification Support
	*OTP Verification on WooCommerce Registration

= 5.4.16 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) : Quick form fix.

= 5.4.15 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) : 
	* Theme My Login plugin Support
	* Ultimate Member Registration Support
	* WooCommerce Registration Support
	* Ultimate Member Redirect
	* Restrict Content Pro Login and Registration
	
= 5.4.14 =
* Google Authenticator - Two Factor Authentication (2FA, MFA) : Performance improvement with fixes in Security Questions. And User Email verification and Phone Verification issues resolved.

= 5.4.13 =
* Google Authenticator - Two Factor Authentication (2FA, TFA) : Support Form Improvement.

= 5.4.11 =
* Google Authenticator - Two Factor Authentication (2FA, MFA) : Feedback Issue fix.

= 5.4.9 =
* Google Authenticator - Two Factor Authentication (2FA, TFA) : User Experience, new support form and Security disabled by default. Added New Methods for users to choose.

= 5.4.8 =
* Google Authenticator - Two Factor Authentication (2FA, OTP Verification) : Learning Management System support, Microsoft Authenticator and Duo Authenticator support and restrict account sharing add-on.

= 5.4.7 =
* Google Authenticator - Two Factor Authentication (2FA, SMS Verification) : Fixing warnings and adding minor changes in the plans.

= 5.4.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Improving Google Authenticator and adding Payment options.

= 5.4.5 =
* Google Authenticator - Two Factor Authentication (2FA, OTP) : Security and MFA UI updates.

= 5.4.4 =
* Google Authenticator - Two Factor Authentication (2FA, TFA) : Two Factor : WooCommerce login page integration.

= 5.4.3 =
* Google Authenticator - Two Factor Authentication (2FA, MFA) : Session issue fix for customers using Two Factor.

= 5.4.2 =
* Google Authenticator - Two Factor Authentication (2FA, MFA) : Warning for cloud customer moving to on-premise Two factor

= 5.4.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Headers sent issue is security firewall.

= 5.4.0 =
* Google Authenticator - Two Factor Authentication (2FA) : Two Factor FAQ Fix and OTP code convenience.

= 5.3.26 =
* Google Authenticator - Two Factor Authentication (2FA) : Two Factor On-premise FAQ update.

= 5.3.25 =
* Google Authenticator - Two Factor Authentication (2FA) : Two Factor On-premise support form.

= 5.3.24 =
* Google Authenticator - Two Factor Authentication (2FA) : On-premise two factor released with multiple user support for some authentication methods.

= 5.3.23 =
* Google Authenticator - Two Factor Authentication (2FA) : Scanner : Timing and caching issue fix.
* Disable 2fa on WooCommerce login.
* Login with Username only fix.

= 5.3.22 =
* Google Authenticator - Two Factor Authentication (2FA) : Antivirus : Fixing Cache issues and adding nonce.

= 5.3.21 =
* Google Authenticator - Two Factor Authentication (2FA) : Two Factor : Choice between Two factor and Security.

= 5.3.20 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti Malware : Fixing issue faced by users during scan.

= 5.3.19 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Giving users choice of two factor.

= 5.3.18 =
* Google Authenticator - Two Factor Authentication (2FA) : Antivirus and Firewall : Fix Scan.

= 5.3.17 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti-Virus : Improved Stop Scan.

= 5.3.16 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti-Virus : Stop Scan.

= 5.3.15 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti-Malware : schedule scan.

= 5.3.14 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti-Malware : Adding more signatures.

= 5.3.13 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : fix UI Issue and improving 2fa.

= 5.3.12 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : backup table fix.

= 5.3.11 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Limiting Firewall, Malware, backup and login security for users not needing it.

= 5.3.10 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Moved to Old WAF version minor issues..

= 5.3.9 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Web application Firewall Sql Injections report and monitoring.

= 5.3.8 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Malware Scanner Fix.

= 5.3.7 =
* Google Authenticator - Two Factor Authentication (2FA) : Security : Two factor login with username fix.

= 5.3.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Anti virus zip file fix.

= 5.3.5 =
* Google Authenticator - Two Factor Authentication (2FA) : Backup URL Fix and space issue in google authenticator.

= 5.3.4 =
* Google Authenticator - Two Factor Authentication (2FA) : CSS fix for Malware Scanner, Security and firewall.

= 5.3.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor Malware Scanner issues fix.

= 5.3.2 =
* Google Authenticator - Two Factor Authentication (2FA) : File Changes.

= 5.3.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix.

= 5.3.0 =
* Google Authenticator - Two Factor Authentication (2FA) : Releasing Firewall with Two Factor.

= 5.2.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Fixed conflict and filter issues.

= 5.2.5 =
* Google Authenticator - Two Factor Authentication (2FA) : Some warnings in remote posts.

= 5.2.4 =
* Google Authenticator - Two Factor Authentication (2FA) : Removed curl calls and unnecessary files.

= 5.2.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Fix for some users facing issues in api calls.

= 5.2.2 =
* Google Authenticator - Two Factor Authentication (2FA) : Adding File Protection and Strong Password feature.
 :
= 5.2.1 =
* Google Authenticator - Two Factor Authentication (2FA) : UI changes for description.

= 5.2.0 =
* Google Authenticator - Two Factor Authentication (2FA) : UI changes with more description.

= 5.1.22 =
* Google Authenticator - Two Factor Authentication (2FA) : UI Fixes.

= 5.1.21 =
* Google Authenticator - Two Factor Authentication (2FA) : Login Redirect.

= 5.1.20 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor Bug fix.

= 5.1.19 =
* Google Authenticator - Two Factor Authentication (2FA) : Adding basic Security Features Monitoring, IP blocking and login transaction report.

= 5.1.18 =
* Google Authenticator - Two Factor Authentication (2FA) : Object access error for lower PHP versions.

= 5.1.17 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor Bug fix and Documentation changes.

= 5.1.16 =
* Google Authenticator - Two Factor Authentication (2FA) : Login redirect fix.

= 5.1.15 =
* Google Authenticator - Two Factor Authentication (2FA) : UI Fixes.

= 5.1.14 =
* Google Authenticator - Two Factor Authentication (2FA) : Database Error Fix and Custom Redirect.

= 5.1.12 =
* Google Authenticator - Two Factor Authentication (2FA) : Removing redundant code.

= 5.1.11 =
* Google Authenticator - Two Factor Authentication (2FA) : Password Pattern Fix.

= 5.1.10 =
* Google Authenticator - Two Factor Authentication (2FA) : Javascript Error fixes.

= 5.1.9 =
* Google Authenticator - Two Factor Authentication (2FA) : Added visual tour and security fixes.

= 5.1.8 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix for Validation.

= 5.1.7 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix for DB error after Update.

= 5.1.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix for DB error.

= 5.1.5 =
* Google Authenticator - Two Factor Authentication (2FA) : UI changes.

= 5.1.4 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fixes for redirect to login page issues.

= 5.1.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor bug fixes.

= 5.1.2 =
* Google Authenticator - Two Factor Authentication (2FA) : Changes in registration flow.

= 5.1.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor changes.

= 5.1.0 =
* Google Authenticator - Two Factor Authentication (2FA) : Added new user plans

= 5.0.17 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor Bug fix.

= 5.0.16 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fixes.

= 5.0.15 =
* Google Authenticator - Two Factor Authentication (2FA) : Added Google Authenticator option in the WP login page itself.

= 5.0.14 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug Fixes.

= 5.0.13 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug Fix and code optimization.

= 5.0.12 =
* Google Authenticator - Two Factor Authentication (2FA) : Added GDPR Compliance.

= 5.0.11 =
* Google Authenticator - Two Factor Authentication (2FA) : Readme Update.

= 5.0.10 =
* Google Authenticator - Two Factor Authentication (2FA) : Added Proxy Setup feature.

= 5.0.9 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug Fix for "The loopback request to your site failed." error.

= 5.0.8 =
* Google Authenticator - Two Factor Authentication (2FA) : Changes for 2FA Free plugin for 1 user forever.

= 5.0.7 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug Fix for User Registration and other plugin conflicts in Dashboard.

= 5.0.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug Fix for existing customers who upgraded from 4.5.x version to versions between 5.0.0 and 5.0.4 and are facing issues with the Account Setup Tab.

= 5.0.5 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix for user entry during plugin update.

= 5.0.4 =
* Google Authenticator - Two Factor Authentication (2FA) : Workaround for errors during sending of OTP during registration.

= 5.0.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor fix for removing warings.

= 5.0.2 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix.

= 5.0.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fix.

= 5.0.0 =
* Google Authenticator - Two Factor Authentication (2FA) : New UI Interface, 2-factor authentication for Unlimited Users.
* This is a major release.

= 4.6.2 =
* Google Authenticator - Two Factor Authentication (2FA) : Plugin registration fixes and minor warning fixes.

= 4.6.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Login error fix. Please skip version 4.5.9 and update to version 4.6.1

= 4.5.9 =
* Google Authenticator - Two Factor Authentication (2FA) : Bug fixes for customers who were getting redirected to the login page after the two factor authentication.

= 4.5.8 =
* Google Authenticator - Two Factor Authentication (2FA) : Tested up to 4.9.4 and Removed External links.

= 4.5.7 =
* Google Authenticator - Two Factor Authentication (2FA) : Minor bug fixes.

= 4.5.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Tested up to Wordpress 4.9.

= 4.5.5 =
* Google Authenticator - Two Factor Authentication (2FA) : 404 bug fixes.

= 4.5.4 =
* Google Authenticator - Two Factor Authentication (2FA) : Better UI of Login Pages, Fixed Redirection issue. Fixed the error in the last version (4.5.3) for the customers who were getting undefined action errors.

= 4.5.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Changed UI of the Login Pages, Redirect to Login Page bug fixes.

= 4.5.2 =
* Google Authenticator - Two Factor Authentication (2FA) : Readme Update: Description Update

= 4.5.1 =
* Google Authenticator - Two Factor Authentication (2FA) : Updated the new Google Authenticator App's link and the 'How to Setup Tab' tab.

= 4.5.0 =
* Google Authenticator - Two Factor Authentication (2FA) : Fix Google Authenticator configuration issue.

= 4.4.9 =
* Google Authenticator - Two Factor Authentication (2FA) : Added Alert Message for SMS Transactions only when authentication method is OTP over SMS.

= 4.4.8 =
* Google Authenticator - Two Factor Authentication (2FA) : Added Alert Message for SMS Transactions. Fixed Remember Device flow and confliction with themes. Added support for multiple instances of wordpress.

= 4.4.7 =
* Google Authenticator - Two Factor Authentication (2FA) : Updated the error message for 2 factor configuration.

= 4.4.6 =
* Google Authenticator - Two Factor Authentication (2FA) : Instructions for login in case user get locked out.

= 4.4.5 =
* Google Authenticator - Two Factor Authentication (2FA) : Fixed the issue of session variable on the login with username page.

= 4.4.4 =
* Google Authenticator - Two Factor Authentication (2FA) : Added alert messages for OTP over SMS usages.

= 4.4.3 =
* Google Authenticator - Two Factor Authentication (2FA) : Fixed the login flow for third party Apps that supports XML-RPC.

= 4.4 =
* Google Authenticator - Two Factor Authentication (2FA):
* Note: This is a very important update having altogether a new UI and compatibility with Limit Login Attempts. After updating, please do not logout from your admin dashboard. Try to login from another browser and if you face any issue , please contact us at info@xecurify.com
* Compatibility with Limit Login Attempts.
* New User Interface for login.

= 4.3.2 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Revised licensing cost for users.

= 4.3.1 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Compatible upto 4.7

= 4.3.0 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Updated miniOrange APIs.

= 4.2.9 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Tested up to WordPress 4.6.

= 4.2.7 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Session Warning fix in the last version for some of the users.

= 4.2.6 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Compatible with wordpress caching.

= 4.2.5 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Improved the session handler.

= 4.2.4 =
* Google Authenticator - Two Factor Authentication (2FA, MFA): Updated faq for limit login attempt type of plugins.

= 4.2.3 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Improved Error handling during Account Creation.

= 4.2.2 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Registration Flow fixes

= 4.2.1 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Change of status during login with phone flow and tested with WP 4.5

= 4.2.0 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Mark as tested on Wordpress 4.5

= 4.1.8 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Changed the location of images used for the demo. Now being loaded from the site having SSL certificate.

= 4.1.7 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Improved Error Handling for Remember Device.

= 4.1.6 =
* Google Authenticator - Two Factor Authentication ( 2 Factor ):
* Licensing Plan Updated.

= 4.1.5 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Added Forgot Password functionality for miniOrange customer admin.
* Added warning message for the users who are using lower version of php.
* Added functionality to change the customer email.

= 4.1.4 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Added an option for admin to enable or disable login for XML-RPC supported applications.

= 4.1.3 =
* Google Authenticator - Two Factor Authentication ( 2FA ):
* Fixed CSS Conflict with the plugins in the admin dashboard.
* More intuitive UI for WooCommerce login.
* Tested front-end login with themes like wordpress default theme,
  customize theme,zerif-lite theme,accesspress store theme,ishop theme and many more.

= 4.1.2 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Google Authenticator for Windows phone
* Fixed CSS conflict with front-end of site if WooCommerce is not enabled.

= 4.1.1 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Adding Validation in choosing Security Questions (KBA).

= 4.1.0 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Features added.
  multisite support
  Custom login redirection
  Authy 2-Factor Authentication as separate authentication method

= 4.0.6 = Google Authenticator - Two Factor Authentication Added multisite support and custom redirection after login feature.

= 4.0.5 = Google Authenticator - Two Factor Authentication Login into third party apps which support XML-RPC.

= 4.0.4 = Google Authenticator - Two Factor Authentication Added a check of KBA configuration from mobile login.

= 4.0.3 = Google Authenticator - Two Factor Authentication Added Support for Authy 2-Factor Authentication App.

= 4.0.2 = Google Authenticator - Two Factor Authentication Added a check for selection of unique questions during KBA setup .

= 4.0.1 = Bug Fix Google Authenticator - 2 Factor

= 4.0 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Features added.
* KBA as backup method.
* mobile browser support.
* more intuitive UI for WooCommerce login.

= 3.8 =
* Google Authenticator - Two Factor Authentication ( 2 Factor ): Bug Fix for roles.

= 3.7 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Activation of two factor role wise.

= 3.6 =
* Google Authenticator - Two Factor Authentication ( 2FA ): email verification in inline registration flow for all users.
More descriptive setup messages and UI changes.

= 3.5 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Provided mobile login support.

= 3.4 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Features added
* Inline registration flow for users.
* Security Questions (KBA) as additional method
* Alternate way of user identification in customer creation.
* premium customizable features.

= 3.3 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Fix the issue of session for some versions of php.

= 3.2 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Fix for device-id compatibility.

= 3.1 =
* Google Authenticator - Two Factor Authentication ( 2 Factor ): Fix for 2FA ShortCode.

= 3.0 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Features added
* Google Authenticator.
* Device Id (Remember device).
* Choice given to admin to enable specific authentication methods for users.
* Two Factor support for WooCommerce theme.
* Short Code for various customized fronted login.
* More intuitive UI and descriptive instructions.

= 2.6 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Fix the compatibility issues of user session with other security plugins.

= 2.5 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Fix the compatibility issues with All In One WP Security & Firewall plugin.

= 2.4 =
* Google Authenticator - Two Factor Authentication ( 2FA ): UI fixes for admin media library dashboard.

= 2.3 =
* Google Authenticator - Two Factor Authentication ( 2FA ): More descriptive setup messages, more intuitive UI.

= 2.2 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Fixed css issues for existing users

= 2.1 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Added support for multiple Two Factor Choices like OTP Over SMS, Phone Call Verification, Push Notification, Soft Token (like Google Authenticator Code), Email Verification, etc.

= 2.0 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Added login with password plus second factor feature.

= 1.8 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Added feature of different login form choice,test authentication and help for configuration and setup.

= 1.7 =
* Bug Fixes Google Authenticator - Two Factor Authentication ( 2FA ): Modifying login screen adaptable to user's login form

= 1.6 =
* Bug Fixes Google Authenticator - Two Factor Authentication ( 2FA ): fetching 2 factor configuration when activating the plugin after deactivating it.

= 1.5 =
* Bug Fixes Google Authenticator - Two Factor Authentication ( 2FA ): Login issues and password save issues resolved

= 1.4 =
* Bug Fixes Google Authenticator - Two Factor Authentication ( 2FA ): Authentication was not working on some version of php.

= 1.3 =
* Google Authenticator - Two Factor Authentication Bug Fixes

= 1.2 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Added 2 factor for all users along with forgot phone functionality.

= 1.1 =
* Google Authenticator - Two Factor Authentication ( 2FA ): Added email ID verification during registration.

= 1.0.0 =
* First version of Google Authenticator - Two Factor Authentication ( 2FA ) plugin supported with mobile authentication for admins only.